/* mg-graph-item.h
 *
 * Copyright (C) 2004 Vivien Malerba
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */


#ifndef __MG_GRAPH_ITEM_H_
#define __MG_GRAPH_ITEM_H_

#include <libmergeant/mg-base.h>
#include <libmergeant/mg-defs.h>

/* Implements the MgXmlStorage interface */

G_BEGIN_DECLS

#define MG_GRAPH_ITEM_TYPE          (mg_graph_item_get_type())
#define MG_GRAPH_ITEM(obj)          G_TYPE_CHECK_INSTANCE_CAST (obj, mg_graph_item_get_type(), MgGraphItem)
#define MG_GRAPH_ITEM_CLASS(klass)  G_TYPE_CHECK_CLASS_CAST (klass, mg_graph_item_get_type (), MgGraphItemClass)
#define IS_MG_GRAPH_ITEM(obj)       G_TYPE_CHECK_INSTANCE_TYPE (obj, mg_graph_item_get_type ())

/* error reporting */
extern GQuark mg_graph_item_error_quark (void);
#define MG_GRAPH_ITEM_ERROR mg_graph_item_error_quark ()

enum
{
	MG_GRAPH_ITEM_XML_LOAD_ERROR
};


/* struct for the object's data */
struct _MgGraphItem
{
	MgBase               object;
	MgGraphItemPrivate  *priv;
};

/* struct for the object's class */
struct _MgGraphItemClass
{
	MgBaseClass   class;
	
	/* signals */
	void        (*moved) (MgGraphItem *item);
};

guint            mg_graph_item_get_type            (void);

GObject         *mg_graph_item_new                 (MgConf *conf, MgBase *ref_obj);
MgBase          *mg_graph_item_get_ref_object      (MgGraphItem *item);
void             mg_graph_item_set_position        (MgGraphItem *item, gdouble x, gdouble y);
void             mg_graph_item_get_position        (MgGraphItem *item, gdouble *x, gdouble *y);

G_END_DECLS

#endif
